<template>
    <Head>
        <title>Создание типа товара</title>
    </Head>
    <div class="g-titlebar">
        <h1>Создание типа товара</h1>
        <Link href="/product_types/" class="right">
            <font-awesome-icon icon="rotate-left" />
            Вернуться к списку типов
        </Link>
    </div>
    <form class="b-form" :class="{ loading: form.processing }" @submit.prevent="submit">
        <b-formrow title="Товарная категория" class="type_treeSelect" :error="errors.product_category_id">
            <el-tree-select
                v-model="form.product_category_id"
                :data="categoryTree"
                check-strictly
                :render-after-expand="false"
                node-key="id"
                :props="{ label: 'title' }"
            />
        </b-formrow>
        <b-formrow
            title="Название"
            hint="Человекопонятное название во мн.числе, напр.: Шины, Диски, Видеорегистраторы"
            class="type_text"
            :error="errors.title"
        >
            <el-input type="text" v-model="form.title" />
        </b-formrow>
        <b-formrow
            title="Системное имя"
            hint="Короткое англоязчное слово в ед.числе, напр.: tire, rim, vrecorder"
            class="type_text"
            :error="errors.name"
        >
            <el-input type="text" v-model="form.name" />
        </b-formrow>
        <b-formrow
            title="URL Каталога"
            hint="Напр.: shiny, diski, videoreg. Можно будет изменить ДО публикации раздела."
            class="type_text"
            :error="errors.slug"
        >
            <el-input type="text" v-model="form.slug" />
        </b-formrow>
        <b-formrow class="type_switch" :error="errors.publish_unrecognized_offers">
            <el-switch
                v-model="form.publish_unrecognized_offers"
                active-text="Можно показывать предложения без карточки товара"
            />
        </b-formrow>
        <b-formrow title="Ведущий контент-менеджер" class="type_select" :error="errors.lead_content_id">
            <el-select v-model="form.lead_content_id" placeholder="Выберите">
                <el-option v-for="(oValue, oTitle) in teamUserNames" :key="oValue" :label="oValue" :value="oTitle" />
            </el-select>
        </b-formrow>
        <b-formrow title="Ответственный Веб-Программист" class="type_select" :error="errors.lead_developer_id">
            <el-select v-model="form.lead_developer_id" placeholder="Выберите">
                <el-option v-for="(oValue, oTitle) in teamUserNames" :key="oValue" :label="oValue" :value="oTitle" />
            </el-select>
        </b-formrow>
        <b-formrow>
            <button class="g-button">Создать тип товара</button>
        </b-formrow>
    </form>
</template>

<script>
import { router } from "@inertiajs/vue3";

export default {
    props: {
        categoryTree: Object,
        stages: Object,
        publishedStages: Array,
        teamUserNames: Object,
        errors: Object,
    },
    data() {
        return {
            form: {},
        };
    },
    methods: {
        submit() {
            router.post("/product_types", this.form);
        },
    },
};
</script>

<style scoped></style>
